#!/bin/bash

MP4_COUNT=$(ls -l *.mp4 | grep ^- | wc -l)
CUR_NUM=1
FILENAME=""

for i in *.mp4; 
do 
	echo "Thumbnail export $i [$CUR_NUM/$MP4_COUNT]";
	FILENAME=$(echo "$i" | sed 's/\.[^\.]*$//')
	echo ffmpeg -i "$i" -an -ss 00:00:01 -r 1 -vframes 1 -vcodec png -y "./pwg_representative/$FILENAME.png" 
	ffmpeg -i "$i" -an -ss 00:00:01 -r 1 -vframes 1 -vcodec png -y "./pwg_representative/$FILENAME.png" 
	CUR_NUM=$(($CUR_NUM+1));
done
